org.apache.ignite.internal.processors.platform.transactions

## Class PlatformTransactions

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.transactions.PlatformTransactions

All Implemented Interfaces:
  PlatformTarget

    public class PlatformTransactions
    extends PlatformAbstractTarget

Native transaction wrapper implementation.

### Field Summary

Fields
`static int` `OP_CACHE_CONFIG_PARAMETERS`
`static int` `OP_CLOSE`
`static int` `OP_COMMIT`
`static int` `OP_COMMIT_ASYNC`
`static int` `OP_LOCAL_ACTIVE_REMOVE`
`static int` `OP_LOCAL_ACTIVE_TX`
`static int` `OP_METRICS`
`static int` `OP_PREPARE`
`static int` `OP_RESET_METRICS`
`static int` `OP_ROLLBACK`
`static int` `OP_ROLLBACK_ASYNC`
`static int` `OP_SET_ROLLBACK_ONLY`
`static int` `OP_START`
`static int` `OP_STATE`

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PlatformTransactions(PlatformContext platformCtx)` Constructor.
`PlatformTransactions(PlatformContext platformCtx, String lbl)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processOutObject, readAndListenFuture, readAndListenFuture, readAndListenFuture, throwUnsupported, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OP_CACHE_CONFIG_PARAMETERS

    public static final int OP_CACHE_CONFIG_PARAMETERS

See Also:
  Constant Field Values

#### OP_METRICS

    public static final int OP_METRICS

See Also:
  Constant Field Values

#### OP_START

    public static final int OP_START

See Also:
  Constant Field Values

#### OP_COMMIT

    public static final int OP_COMMIT

See Also:
  Constant Field Values

#### OP_ROLLBACK

    public static final int OP_ROLLBACK

See Also:
  Constant Field Values

#### OP_CLOSE

    public static final int OP_CLOSE

See Also:
  Constant Field Values

#### OP_STATE

    public static final int OP_STATE

See Also:
  Constant Field Values

#### OP_SET_ROLLBACK_ONLY

    public static final int OP_SET_ROLLBACK_ONLY

See Also:
  Constant Field Values

#### OP_COMMIT_ASYNC

    public static final int OP_COMMIT_ASYNC

See Also:
  Constant Field Values

#### OP_ROLLBACK_ASYNC

    public static final int OP_ROLLBACK_ASYNC

See Also:
  Constant Field Values

#### OP_RESET_METRICS

    public static final int OP_RESET_METRICS

See Also:
  Constant Field Values

#### OP_PREPARE

    public static final int OP_PREPARE

See Also:
  Constant Field Values

#### OP_LOCAL_ACTIVE_TX

    public static final int OP_LOCAL_ACTIVE_TX

See Also:
  Constant Field Values

#### OP_LOCAL_ACTIVE_REMOVE

    public static final int OP_LOCAL_ACTIVE_REMOVE

See Also:
  Constant Field Values

### Constructor Detail

#### PlatformTransactions

    public PlatformTransactions(PlatformContext platformCtx)

Constructor.

Parameters:
  `platformCtx` - Context.

#### PlatformTransactions

    public PlatformTransactions(PlatformContext platformCtx,
                                String lbl)

Constructor.

Parameters:
  `platformCtx` - Context.
  `lbl` - Label.

### Method Detail

#### processInLongOutLong

    public long processInLongOutLong(int type,
                                     long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                                       BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream(int type,
                                         BinaryRawReaderEx reader,
                                         BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processOutStream

    public void processOutStream(int type,
                                 BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022